Package fr.gouv.vitam.functional.administration.rest

# Class AdminManagementResource

java.lang.Object
fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource
fr.gouv.vitam.functional.administration.rest.AdminManagementResource

@Path("/adminmanagement/v1") @ApplicationPath("webresources") public class AdminManagementResource extends ApplicationStatusResource

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `STATUS_URL, TENANTS_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdminManagementResource(AdminManagementConfiguration configuration, OntologyLoader ontologyLoader, ElasticsearchFunctionalAdminIndexManager indexManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `addExternalOperation(LogbookOperationParameters operation)`
  Create a new logbook operation entry in Vitam
  `jakarta.ws.rs.core.Response`
  `checkFormat(InputStream xmlPronom)`
  check the file format
  `jakarta.ws.rs.core.Response`
  `checkRulesFile(InputStream rulesStream)`
  check the rules file
  `jakarta.ws.rs.core.Response`
  `createAccessionRegister(AccessionRegisterDetailModel accessionRegister)`
  create or update an accession register
  `jakarta.ws.rs.core.Response`
  `createAccessionRegisterSymbolic(List<Integer> tenants)`
  `jakarta.ws.rs.core.Response`
  `findDetailAccessionRegister(com.fasterxml.jackson.databind.JsonNode select)`
  retrieve accession register detail based on a given dsl query
  `jakarta.ws.rs.core.Response`
  `findDetailAccessionRegister(String originatingAgency, com.fasterxml.jackson.databind.JsonNode select)`
  retrieve accession register detail based on a given dsl query
  `jakarta.ws.rs.core.Response`
  `findDocumentFundsRegister(com.fasterxml.jackson.databind.JsonNode select)`
  retrieve all accession summary from accession summary collection
  `jakarta.ws.rs.core.Response`
  `findDocumentRules(com.fasterxml.jackson.databind.JsonNode select)`
  show all file rules inserted in the collection fileRules
  `jakarta.ws.rs.core.Response`
  `findFileFormatByID(String formatId, jakarta.ws.rs.core.Request request)`
  Find the file format detail related to a specified Id
  `jakarta.ws.rs.core.Response`
  `findFormats(com.fasterxml.jackson.databind.JsonNode select)`
  retrieve all the file format inserted in the collection fileFormat
  `jakarta.ws.rs.core.Response`
  `findRuleByID(String ruleId, jakarta.ws.rs.core.Request request)`
  findRuleByID : find the rules details based on a given Id
  `jakarta.ws.rs.core.Response`
  `forcePause(ProcessPause info)`
  Pause the processes specified by ProcessPause info
  `jakarta.ws.rs.core.Response`
  `getAccessionRegisterSymbolic(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  `jakarta.ws.rs.core.Response`
  `importFormat(jakarta.ws.rs.core.HttpHeaders headers, InputStream xmlPronom)`
  import the file format
  `jakarta.ws.rs.core.Response`
  `importRulesFile(jakarta.ws.rs.core.HttpHeaders headers, InputStream rulesStream)`
  import the rules file
  `jakarta.ws.rs.core.Response`
  `launchAudit(AuditOptions options, boolean checkAccessContract)`
  Launch audit with options
  `jakarta.ws.rs.core.Response`
  `launchReferentialAudit(AuditReferentialOptions referentialAuditOptions)`
  Launch referential audit with options
  `jakarta.ws.rs.core.Response`
  `launchRuleAudit(List<Integer> tenants)`
  `jakarta.ws.rs.core.Response`
  `removeForcePause(ProcessPause info)`
  Remove the pause for the processes specified by ProcessPause info
  `void`
  `setVitamCounterService(VitamCounterService vitamCounterService)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `getServerTenants, status`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AdminManagementResource

    public AdminManagementResource(AdminManagementConfiguration configuration, OntologyLoader ontologyLoader, ElasticsearchFunctionalAdminIndexManager indexManager)

- ## Method Details

  - ### checkFormat

    @Path("format/check") @POST @Consumes("application/octet-stream") @Produces("application/json") public jakarta.ws.rs.core.Response checkFormat(InputStream xmlPronom)
    check the file format
    Parameters:
      `xmlPronom` - as InputStream
    Returns:
      Response

  - ### importFormat

    @Path("format/import") @POST @Consumes("application/octet-stream") @Produces("application/json") public jakarta.ws.rs.core.Response importFormat(@Context jakarta.ws.rs.core.HttpHeaders headers, InputStream xmlPronom)
    import the file format
    Parameters:
      `headers` - http headers
      `xmlPronom` - as InputStream
    Returns:
      response

  - ### findFileFormatByID

    @GET @Path("format/{id_format:.+}") @Produces("application/json") public jakarta.ws.rs.core.Response findFileFormatByID(@PathParam("id_format") String formatId, @Context jakarta.ws.rs.core.Request request)
    Find the file format detail related to a specified Id
    Parameters:
      `formatId` - path param as String
      `request` -
    Returns:
      Response

  - ### findFormats

    @Path("format/document") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findFormats(com.fasterxml.jackson.databind.JsonNode select)
    retrieve all the file format inserted in the collection fileFormat
    Parameters:
      `select` - as String the query to get format
    Returns:
      Response

  - ### checkRulesFile

    @Path("rules/check") @POST @Consumes("application/octet-stream") @Produces("application/octet-stream") public jakarta.ws.rs.core.Response checkRulesFile(InputStream rulesStream)
    check the rules file
    Parameters:
      `rulesStream` - as InputStream
    Returns:
      Response

  - ### importRulesFile

    @Path("rules/import") @POST @Consumes("application/octet-stream") @Produces("application/json") public jakarta.ws.rs.core.Response importRulesFile(@Context jakarta.ws.rs.core.HttpHeaders headers, InputStream rulesStream)
    import the rules file
    Parameters:
      `headers` - http headers
      `rulesStream` - as InputStream
    Returns:
      Response

  - ### findRuleByID

    @GET @Path("rules/{id_rule}") @Produces("application/json") public jakarta.ws.rs.core.Response findRuleByID(@PathParam("id_rule") String ruleId, @Context jakarta.ws.rs.core.Request request)
    findRuleByID : find the rules details based on a given Id
    Parameters:
      `ruleId` - path param as String
      `request` - the request
    Returns:
      Response

  - ### findDocumentRules

    @Path("rules/document") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findDocumentRules(com.fasterxml.jackson.databind.JsonNode select)
    show all file rules inserted in the collection fileRules
    Parameters:
      `select` - as String
    Returns:
      Response

  - ### createAccessionRegister

    @Path("accession-register") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response createAccessionRegister(AccessionRegisterDetailModel accessionRegister)
    create or update an accession register
    Parameters:
      `accessionRegister` - AccessionRegisterDetail object
    Returns:
      Response

  - ### findDocumentFundsRegister

    @Path("accession-register/document") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findDocumentFundsRegister(com.fasterxml.jackson.databind.JsonNode select)
    retrieve all accession summary from accession summary collection
    Parameters:
      `select` - as String the query to find accession register
    Returns:
      Response

  - ### findDetailAccessionRegister

    @Path("accession-register/detail/{id}") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findDetailAccessionRegister(@PathParam("id") String originatingAgency, com.fasterxml.jackson.databind.JsonNode select)
    retrieve accession register detail based on a given dsl query
    Parameters:
      `originatingAgency` -
      `select` - as String the query to find the accession register
    Returns:
      Response

  - ### findDetailAccessionRegister

    @Path("accession-register/detail") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response findDetailAccessionRegister(com.fasterxml.jackson.databind.JsonNode select)
    retrieve accession register detail based on a given dsl query
    Parameters:
      `select` - as String the query to find the accession register
    Returns:
      Response

  - ### launchReferentialAudit

    @Path("/audit/referential") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response launchReferentialAudit(AuditReferentialOptions referentialAuditOptions)
    Launch referential audit with options
    Returns:
      Response

  - ### launchRuleAudit

    @Path("/auditRule") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response launchRuleAudit(List<Integer> tenants)

  - ### launchAudit

    @Path("/audit") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response launchAudit(AuditOptions options, @HeaderParam("Check-Access-Contract") boolean checkAccessContract)
    Launch audit with options
    Parameters:
      `options` -
    Returns:
      Response

  - ### createAccessionRegisterSymbolic

    @POST @Path("accession-register/symbolic") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response createAccessionRegisterSymbolic(List<Integer> tenants)

  - ### getAccessionRegisterSymbolic

    @GET @Path("accession-register/symbolic") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response getAccessionRegisterSymbolic(com.fasterxml.jackson.databind.JsonNode queryDsl)

  - ### forcePause

    @Path("/forcepause") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response forcePause(ProcessPause info)
    Pause the processes specified by ProcessPause info
    Parameters:
      `info` - a ProcessPause object indicating the tenant and/or the type of process to pause
    Returns:

  - ### removeForcePause

    @Path("/removeforcepause") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response removeForcePause(ProcessPause info)
    Remove the pause for the processes specified by ProcessPause info
    Parameters:
      `info` - a ProcessPause object indicating the tenant and/or the type of process to pause
    Returns:

  - ### setVitamCounterService

    public void setVitamCounterService(VitamCounterService vitamCounterService)
    Parameters:
      `vitamCounterService` -

  - ### addExternalOperation

    @POST @Path("logbookoperations") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response addExternalOperation(LogbookOperationParameters operation)
    Create a new logbook operation entry in Vitam
    Parameters:
      `operation` - the LogbookOperationParameters
    Returns:
      Response contains the list of logbook operations